IFAPI_KEY_TEMPLATE Struct Reference

`#include <fapi_int.h>`

## Data Fields

TPMI_YES_NO | system
TPMI_YES_NO | persistent
UINT32 | persistent_handle
TPM2B_PUBLIC | public

## Detailed Description

Type for representing FAPI template for keys

## Field Documentation

## persistent

TPMI_YES_NO persistent

Store key persistent in NV ram.

## persistent_handle

UINT32 persistent_handle

< Persistent handle which should be used

## public

TPM2B_PUBLIC public

Template for public data

## system

TPMI_YES_NO system

Store the object in the system wide directory

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h